import MoralisType from "moralis";
export interface Web3EnableOptions {
    onError?: (error: Error) => void;
    onSuccess?: (web3: unknown) => void;
    onComplete?: () => void;
    throwOnError?: boolean;
    provider?: MoralisType.Web3ProviderType;
    connector?: MoralisType.Connector;
    chainId?: number;
}
/**
 * Handles enabling of web3 and providing it, as soon as the user is authenticated
 */
export declare const _useMoralisWeb3: (Moralis: MoralisType) => {
    enableWeb3: (options?: Web3EnableOptions | undefined) => Promise<void>;
    web3: null | MoralisType.MoralisWeb3Provider;
    isWeb3Enabled: boolean;
    web3EnableError: Error | null;
    isWeb3EnableLoading: boolean;
    _setIsWeb3Enabled: (value: boolean) => void;
    _setIsWeb3EnableLoading: (value: boolean) => void;
    chainId: null | string;
    account: null | string;
    network: null | string;
    connector: null | MoralisType.Connector;
    connectorType: null | string;
    deactivateWeb3: () => Promise<void>;
    provider: null | MoralisType.Provider;
};
